org.cpsolver.ifs.model

## Interface ExtendedInfoProvider<V extends Variable<V,T>,T extends Value<V,T>>

- Type Parameters:
    `V` - Variable
    `T` - Value
  All Superinterfaces:
    InfoProvider<V,T>
  All Known Subinterfaces:
    Criterion<V,T>
  All Known Implementing Classes:
    AbstractCriterion, AssignedValue, AssignmentCount, AttributePreferences, BackToBack, BackToBackInstructorPreferences, BrokenTimePatterns, CoursePreferences, DeltaTimePreference, DepartmentBalancingPenalty, DifferentLecture, DistanceToStronglyPreferredRoom, DistributionPenalty, DistributionPreferences, Distributions, DistributionViolation, ExamCriterion, ExamRotationPenalty, ExamSplitter, FlexibleConstraintCriterion, HardConflicts, IgnoredCommittedStudentConflict, IgnoredStudentConflict, ImportantStudentConflict, ImportantStudentHardConflict, InstructorBackToBackConflicts, InstructorConflict, InstructorDirectConflicts, InstructorDistanceBackToBackConflicts, InstructorFairness, InstructorLunchBreak, InstructorMoreThan2ADayConflicts, InstructorNotAvailableConflicts, InstructorPreferences, InstructorSchedulingCriterion, InstructorStudentConflict, InstructorStudentHardConflict, LargeExamsPenalty, OriginalInstructor, PeriodIndexPenalty, PeriodPenalty, PeriodSizePenalty, PeriodViolation, PerturbationPenalty, Perturbations, PlacementSelectionCriterion, PotentialHardConflicts, QuadraticStudentConflict, QuadraticStudentHardConflict, RoomPenalty, RoomPerturbationPenalty, RoomPreferences, RoomSizePenalty, RoomSizePenalty, RoomSplitDistancePenalty, RoomSplitPenalty, RoomViolation, RoomViolations, SameCommon, SameCourse, SameDays, SameInstructor, SameLink, SameRoom, SameSubpartBalancingPenalty, StudentBackToBackConflicts, StudentCommittedConflict, StudentConflict, StudentDirectConflicts, StudentDistanceBackToBackConflicts, StudentDistanceConflict, StudentHardConflict, StudentLuchBreak, StudentMinimizeDaysOfWeek, StudentMinimizeScheduleHoles, StudentMoreThan1ADayConflicts, StudentMoreThan2ADayConflicts, StudentNotAvailableConflicts, StudentOnlineConflict, StudentOverlapConflict, StudentOverLunchConflict, StudentWorkdayConflict, TeachingPreferences, TimeOverlaps, TimePreferences, TimePreferences, TimetablingCriterion, TimeViolations, TooBigRooms, UnusedInstructorLoad, UselessHalfHours, WeightedHardConflicts

      public interface ExtendedInfoProvider<V extends Variable<V,T>,T extends Value<V,T>>
      extends InfoProvider<V,T>

  An extension of the `InfoProvider` class providing extended information. The extended info may be computationally more expensive as it is only computed when needed (see `Model.getExtendedInfo(Assignment)`).
  Version:
    IFS 1.3 (Iterative Forward Search)
    Copyright (C) 2014 Tomáš Müller
    muller@unitime.org
    http://muller.unitime.org
    This library is free software; you can redistribute it and/or modify it under the terms of the GNU Lesser General Public License as published by the Free Software Foundation; either version 3 of the License, or (at your option) any later version.
    This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more details.
    You should have received a copy of the GNU Lesser General Public License along with this library; if not see http://www.gnu.org/licenses/.
  Author:
    Tomáš Müller
  See Also:
    `Model`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `getExtendedInfo(Assignment<V,T> assignment, Map<String,String> info)` Extended information about current solution.

    - ### Methods inherited from interface org.cpsolver.ifs.model.InfoProvider

      `getInfo, getInfo`

- - ### Method Detail

    - #### getExtendedInfo

          void getExtendedInfo(Assignment<V,T> assignment,
                               Map<String,String> info)

      Extended information about current solution. Similar to `InfoProvider.getInfo(Assignment, Map)`, but some more information (that is more expensive to compute) might be added.
      Parameters:
        `assignment` - current assignment
        `info` - extended info